(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
    typeof define === 'function' && define.amd ? define('bootstrangular-datatable', ['exports', '@angular/core', '@angular/common'], factory) :
    (global = global || self, factory(global['bootstrangular-datatable'] = {}, global.ng.core, global.ng.common));
}(this, (function (exports, core, common) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    function __createBinding(o, m, k, k2) {
        if (k2 === undefined) k2 = k;
        o[k2] = m[k];
    }

    function __exportStar(m, exports) {
        for (var p in m) if (p !== "default" && !exports.hasOwnProperty(p)) exports[p] = m[p];
    }

    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m) return m.call(o);
        if (o && typeof o.length === "number") return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    };

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result.default = mod;
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }

    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    var DatatableService = /** @class */ (function () {
        function DatatableService() {
        }
        DatatableService.ɵprov = core.ɵɵdefineInjectable({ factory: function DatatableService_Factory() { return new DatatableService(); }, token: DatatableService, providedIn: "root" });
        DatatableService = __decorate([
            core.Injectable({
                providedIn: 'root'
            })
        ], DatatableService);
        return DatatableService;
    }());

    var DatatableComponent = /** @class */ (function () {
        function DatatableComponent() {
            this.pageSizeOptions = [];
            this.pageIndex = 1;
            this.showNumeration = false;
            this.showSearcher = true;
            this.showSizeOptions = true;
            this.showPaginator = true;
        }
        DatatableComponent.prototype.ngOnInit = function () {
            this.checkPageSize();
        };
        /** Obtener fuente de datos
         * @description Devuelve los datos filtrados en caso de que `filterText` tenga
         * valor, de lo contrario devuelve el total de datos.
         */
        DatatableComponent.prototype.getDataSource = function () {
            return this.filterText ? this.dataSourceFilter : this.dataSource;
        };
        /** Obtener datos por página
         * @description Devuelve los datos por tamaño de página (número de renglones)
         * dependiendo del índice de página del que se encuentre.
         */
        DatatableComponent.prototype.getPageData = function () {
            return this.getDataSource().slice(this.getPageRowStart() - 1, this.getPageRowEnd());
        };
        /** Obtener el renglón inicial por página
         * @description Devuelve el numero del renglón inicial de la página actual.
         */
        DatatableComponent.prototype.getPageRowStart = function () {
            return (this.pageSize * this.pageIndex) - (this.pageSize - 1);
        };
        /** Obtener el renglón final por página
         * @description Devuelve el numero del renglón final de la página actual.
         */
        DatatableComponent.prototype.getPageRowEnd = function () {
            if (this.pageIndex === this.getLastPage())
                return this.getPageRowStart() + (this.getDataSource().length - this.getPageRowStart());
            else
                return this.pageSize * this.pageIndex;
        };
        /** Ir a la primer página */
        DatatableComponent.prototype.goFirstPage = function () {
            this.pageIndex = 1;
        };
        /** Ir a la página anterior */
        DatatableComponent.prototype.goPreviousPage = function () {
            this.pageIndex--;
        };
        /** Ir a la siguiente página */
        DatatableComponent.prototype.goNextPage = function () {
            this.pageIndex++;
        };
        /** Ir a la ultima página */
        DatatableComponent.prototype.goLastPage = function () {
            this.pageIndex = this.getLastPage();
        };
        /** Obtener ultima página
         * @description Devuelve el índice de la ultima página de los datos disponibles
         * calculado por el tamaño de datos por página.
         */
        DatatableComponent.prototype.getLastPage = function () {
            if (this.getDataSource().length % this.pageSize !== 0)
                return Math.floor(this.getDataSource().length / this.pageSize) + 1;
            else
                return Math.floor(this.getDataSource().length / this.pageSize);
        };
        /** Cambiar tamaño de página
         * @description Cambia el tamaño de renglones de la tabla por página vinculado
         * con el índice de la página actual para no rebasar el total de datos por página.
         * @param size Valor para el nuevo tamaño de página.
         */
        DatatableComponent.prototype.changePageSize = function (size) {
            var isInLastPage = this.pageIndex === this.getLastPage() ? true : false;
            this.pageSize = size;
            if (this.pageIndex >= this.getLastPage() || isInLastPage)
                this.goLastPage();
        };
        /** Revisar tamaño de página
         * @description Verifica si `pageSize` está vacío, en tal caso se le asignará
         * el primer valor de la lista de opciones. En caso de que la lista de opciones
         * también se encuentre vacía, agrega el total de los datos como valor único.
         */
        DatatableComponent.prototype.checkPageSize = function () {
            var _this = this;
            if (!this.pageSize) {
                if (!this.pageSizeOptions.length)
                    this.pageSizeOptions.push(this.dataSource.length);
                this.pageSize = this.pageSizeOptions[0];
            }
            else if (!this.pageSizeOptions.find(function (op) { return op === _this.pageSize; })) {
                this.addPageSizeToPageSizeOptions();
            }
        };
        /** Añadir tamaño de página
         * @description Añade a la lista de opciones de tamaño de pagina el tamaño
         * de pagina `pageSize` que llegue como parámetro.
         */
        DatatableComponent.prototype.addPageSizeToPageSizeOptions = function () {
            this.pageSizeOptions.push(this.pageSize);
            this.pageSizeOptions.sort(function (a, b) { return a - b; });
        };
        /** Obtener encabezados
         * @description Obtiene los encabezados de la tabla, en caso de que no se
         * definan como parámetro, devolverá una lista de las llaves de la primer fila.
         */
        DatatableComponent.prototype.getHeaders = function () {
            var _this = this;
            if (this.headers)
                return Object.keys(this.headers).map(function (item) {
                    return { id: item, value: _this.headers[item] };
                });
            else
                return Object.keys(this.dataSource[1]).map(function (item) {
                    return { id: item, value: item };
                });
        };
        /** Aplicar filtro
         * @description Guarda en `filterText` lo escrito en la caja de búsqueda y
         * guarda en `dataSourceFilter` el filtro aplicado en los datos.
         * @param filter Texto escrito en la caja de búsqueda.
         */
        DatatableComponent.prototype.applyFilter = function (filter) {
            var _this = this;
            if (filter.trim()) {
                this.filterText = filter.trim().toLowerCase();
                this.dataSourceFilter = this.dataSource.filter(function (item) {
                    return _this.getHeaders().map(function (head) {
                        return item[head.id].trim().toLowerCase().includes(_this.filterText);
                    }).some(function (element) { return element; });
                });
                if (this.pageIndex > this.getLastPage())
                    this.goLastPage();
            }
            else {
                this.filterText = undefined;
                this.goFirstPage();
            }
        };
        __decorate([
            core.Input()
        ], DatatableComponent.prototype, "dataSource", void 0);
        __decorate([
            core.Input()
        ], DatatableComponent.prototype, "headers", void 0);
        __decorate([
            core.Input()
        ], DatatableComponent.prototype, "pageSize", void 0);
        __decorate([
            core.Input()
        ], DatatableComponent.prototype, "pageSizeOptions", void 0);
        __decorate([
            core.Input()
        ], DatatableComponent.prototype, "pageIndex", void 0);
        __decorate([
            core.Input()
        ], DatatableComponent.prototype, "tableBtnOptions", void 0);
        __decorate([
            core.Input()
        ], DatatableComponent.prototype, "rowBtnOptions", void 0);
        __decorate([
            core.Input()
        ], DatatableComponent.prototype, "showNumeration", void 0);
        __decorate([
            core.Input()
        ], DatatableComponent.prototype, "showSearcher", void 0);
        __decorate([
            core.Input()
        ], DatatableComponent.prototype, "showSizeOptions", void 0);
        __decorate([
            core.Input()
        ], DatatableComponent.prototype, "showPaginator", void 0);
        DatatableComponent = __decorate([
            core.Component({
                selector: 'datatable',
                template: "<div class=\"row\">\n  <div class=\"col-md-6\">\n    <div *ngIf=\"tableBtnOptions\" class=\"btn-group btn-group-sm mr-2 mb-2\" role=\"group\">\n      <button *ngFor=\"let btnTable of tableBtnOptions\"\n        (click)=\"btnTable.action()\"\n        type=\"button\"\n        class=\"btn btn-secondary\"\n        data-toggle=\"tooltip\"\n        data-placement=\"bottom\"\n        [title]=\"btnTable.title\">\n        <div *ngIf=\"btnTable.icon; then btnTableIcon; else btnTableTitle\"></div>\n        <ng-template #btnTableIcon>\n          <i *ngIf=\"btnTable.icon.origin === 'bootstrap'\" [class]=\"btnTable.icon.icon\"></i>\n          <img *ngIf=\"btnTable.icon.origin === 'img'\" [attr.src]=\"btnTable.icon.icon\" class=\"img-icon\">\n        </ng-template>\n        <ng-template #btnTableTitle>{{btnTable.title}}</ng-template>\n      </button>\n    </div>\n  </div>\n  <div class=\"col-md-6\">\n    <div *ngIf=\"showSearcher\" class=\"input-group input-group-sm mb-2\">\n      <div class=\"input-group-prepend\">\n        <div class=\"input-group-text\" id=\"btnGroupAddon\">\uD83D\uDD0E</div>\n      </div>\n      <input type=\"text\" class=\"form-control\"\n        placeholder=\"Buscar en la tabla\" aria-label=\"Buscar en la tabla\"\n        (keyup)=\"applyFilter($event.target.value)\">\n    </div>\n  </div>\n</div>\n\n<div class=\"table-responsive\">\n  <table class=\"table table-bordered table-sm table-striped\">\n    <thead>\n      <tr>\n        <th *ngIf=\"showNumeration\">#<!--span class=\"text-muted float-right\">\u2B07\uFE0F\u2B06\uFE0F</span--></th>\n        <th *ngFor=\"let head of getHeaders()\">{{head.value}}</th>\n        <th *ngIf=\"rowBtnOptions\">\u2699\uFE0F</th>\n      </tr>\n    </thead>\n    <tbody>\n      <tr *ngFor=\"let row of getPageData(); let i = index\">\n        <td *ngIf=\"showNumeration\">{{i + getPageRowStart()}}</td>\n        <td *ngFor=\"let key of getHeaders()\">{{row[key.id]}}</td>\n        <th *ngIf=\"rowBtnOptions\">\n          <div class=\"row\" style=\"margin: auto;\">\n            <div *ngFor=\"let btnRow of rowBtnOptions\"\n              (click)=\"btnRow.action(row)\"\n              class=\"btn-row\">\n              <div *ngIf=\"btnRow.icon; then btnRowIcon; else btnRowTitle\"></div>\n              <ng-template #btnRowIcon>\n                <i *ngIf=\"btnRow.icon.origin === 'bootstrap'\" [class]=\"btnRow.icon.icon\"\n                  data-toggle=\"tooltip\" data-placement=\"bottom\" [title]=\"btnRow.title\"></i>\n                <img *ngIf=\"btnRow.icon.origin === 'img'\" [attr.src]=\"btnRow.icon.icon\" class=\"img-icon\"\n                  data-toggle=\"tooltip\" data-placement=\"bottom\" [title]=\"btnRow.title\">\n              </ng-template>\n              <ng-template #btnRowTitle>\n                <small>{{btnRow.title}}</small>\n              </ng-template>\n            </div>\n          </div>\n        </th>\n      </tr>\n    </tbody>\n  </table>\n</div>\n\n<div class=\"row\">\n  <div class=\"col-sm-6\">\n    <div *ngIf=\"showSizeOptions\"\n      class=\"input-group input-group-sm mr-2 mb-2 select-page-size\">\n      <div class=\"input-group-prepend\">\n        <label class=\"input-group-text\" for=\"\">Renglones por p\u00E1gina</label>\n      </div>\n      <select class=\"custom-select\" (change)=\"changePageSize($event.target.value)\">\n        <option *ngFor=\"let option of pageSizeOptions\"\n          [value]=\"option\"\n          [selected]=\"option === pageSize? 'selected': null\">\n          {{option}}\n        </option>\n      </select>\n    </div>\n  </div>\n  <div class=\"col-sm-6\">\n    <nav *ngIf=\"showPaginator\">\n      <ul class=\"pagination pagination-sm justify-content-end\">\n        <li class=\"page-item\">\n          <span class=\"page-link paginator-label\">\n            {{getPageRowStart()}} - {{getPageRowEnd()}} de {{this.getDataSource().length}}\n          </span>\n        </li>\n        <li class=\"page-item\" [ngClass]=\"{'disabled': pageIndex === 1}\">\n          <a class=\"page-link\" href=\"javascript:void(0);\" (click)=\"goFirstPage()\">\n            <span aria-hidden=\"true\">[&laquo;</span>\n          </a>\n        </li>\n        <li class=\"page-item\" [ngClass]=\"{'disabled': pageIndex === 1}\">\n          <a class=\"page-link\" href=\"javascript:void(0);\" (click)=\"goPreviousPage()\">\n            <span aria-hidden=\"true\">&laquo;</span>\n          </a>\n        </li>\n        <li class=\"page-item\"><span class=\"page-link paginator-label\">{{pageIndex}}</span></li>\n        <li class=\"page-item\" [ngClass]=\"{'disabled': pageIndex === getLastPage()}\">\n          <a class=\"page-link\" href=\"javascript:void(0);\" (click)=\"goNextPage()\">\n            <span aria-hidden=\"true\">&raquo;</span>\n          </a>\n        </li>\n        <li class=\"page-item\" [ngClass]=\"{'disabled': pageIndex === getLastPage()}\">\n          <a class=\"page-link\" href=\"javascript:void(0);\" (click)=\"goLastPage()\">\n            <span aria-hidden=\"true\">&raquo;]</span>\n          </a>\n        </li>\n      </ul>\n    </nav>\n  </div>\n</div>",
                styles: [".select-page-size{width:250px}.paginator-label{background-color:#e9ecef!important;border:1px solid #ced4da!important;color:#495057!important}.page-link{color:#495057!important}.img-icon{max-width:14px;max-height:14px}.btn-row>*{cursor:pointer;margin-inline:4px;color:#535c68}.btn-row>i{max-width:14px;max-height:14px}"]
            })
        ], DatatableComponent);
        return DatatableComponent;
    }());

    var DatatableModule = /** @class */ (function () {
        function DatatableModule() {
        }
        DatatableModule = __decorate([
            core.NgModule({
                declarations: [DatatableComponent],
                imports: [common.CommonModule],
                exports: [DatatableComponent]
            })
        ], DatatableModule);
        return DatatableModule;
    }());

    exports.DatatableComponent = DatatableComponent;
    exports.DatatableModule = DatatableModule;
    exports.DatatableService = DatatableService;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=bootstrangular-datatable.umd.js.map
